if data ~= nil then
  dofile("game.lua")
else
  dofile("data.lua")
end

if game and game.type == Game.TYPE_SINGLE then
  dofile("ai/ai.lua")
end

map = "1914.map"
date = "1914/8/20"
xSize = 164
ySize = 76

scenario = {}
scenario.turnLimit = 118
scenario.scriptedAI = "1914"

scenario.techCategoriesUnlocked = {}
scenario.techCategoriesUnlocked["ground"] = 1
scenario.techCategoriesUnlocked["artillery"] = 4
scenario.techCategoriesUnlocked["naval"] = 6
scenario.techCategoriesUnlocked["air"] = 10
scenario.techCategoriesUnlocked["armour"] = 14

startingAlliance = 2

alliances =
{
  {
    id = 0,

    factions =
    {
      {
        id = 24,

      },
      ------------------------------- FRANCE -----------------------
      {
        id = 0,
        resources =
        {
          pp = 45,
          mp = 1200,
          am = 10,
          nm = 10,
        },

        units =
        {
          {type = "smallgarrison", hex = {54, 62}, facing = "right"},
          {type = "smallgarrison", hex = {69, 57}, facing = "right"},
          {type = "smallgarrison", hex = {70, 31}, facing = "right"},
          {type = "smallgarrison", hex = {74, 34}, facing = "right"},
          {type = "smallgarrison", hex = {74, 39}, facing = "right"},
          {type = "smallgarrison", hex = {77, 55}, facing = "right"},
          {type = "smallgarrison", hex = {78, 40}, facing = "right"},
          {type = "smallgarrison", hex = {80, 28}, facing = "right"},
          {type = "smallgarrison", hex = {80, 33}, facing = "right"},
          {type = "smallgarrison", hex = {82, 26}, facing = "right"},
          {type = "smallgarrison", hex = {82, 30}, facing = "right"},
          {type = "smallgarrison", hex = {82, 57}, facing = "right"},
          {type = "smallgarrison", hex = {84, 36}, facing = "right"},
          {type = "smallgarrison", hex = {84, 41}, facing = "right"},
          {type = "smallgarrison", hex = {85, 40}, facing = "right"},
          {type = "smallgarrison", hex = {86, 33}, facing = "right"},
          {type = "smallgarrison", hex = {87, 39}, facing = "right"},
          {type = "smallgarrison", hex = {89, 54}, facing = "right"},
          {type = "smallgarrison", hex = {89, 61}, facing = "right"},
          {type = "smallgarrison", hex = {90, 58}, facing = "right"},
          {type = "garrison", hex = {87, 29}, facing = "right"},
          {type = "garrison", hex = {87, 31}, facing = "right"},
          {type = "garrison", hex = {87, 32}, facing = "right"},
          {type = "garrison", hex = {89, 32}, facing = "right"},
          {type = "garrison", hex = {89, 43}, facing = "right"},
          {type = "infantry", hex = {88, 29}, facing = "right"},
          {type = "infantry", hex = {88, 30}, facing = "right"},
          {type = "infantry", hex = {88, 32}, facing = "right"},
          {type = "infantry", hex = {88, 31}, facing = "right"},
          {type = "infantry", hex = {89, 31}, facing = "right"},
          {type = "cavalry", hex = {75, 39}, facing = "right"},
          {type = "cavalry", hex = {75, 38}, facing = "right"},
          {type = "artillery", hex = {85, 33}, facing = "right"},
          {type = "fighter", hex = {86, 30}, facing = "right"},
          {type = "pre-dreadnought", hex = {103, 51}, facing = "right"},
          {type = "dreadnought", hex = {86, 41}, facing = "right"},          
          {type = "armouredcruiser", hex = {84, 42}, facing = "right"},
          {type = "armouredcruiser", hex = {103, 52}, facing = "right"},
          {type = "submarine", hex = {68, 57}, facing = "right"},
          {type = "submarine", hex = {87, 43}, facing = "right"},
          {type = "submarine", hex = {90, 54}, facing = "right"},         
        },

        constructions = data.constructions.france
      },
      ------------------------------- BRITAIN --------------------------
      {
        id = 1,
        resources =
        {
          pp = 50,
          mp = 600,
          am = 8,
          nm = 10,
        },

        units =
        {
          {type = "smallgarrison", hex = {2, 38}, facing = "right"},
          {type = "smallgarrison", hex = {5, 36}, facing = "right"},
          {type = "smallgarrison", hex = {8, 35}, facing = "right"},
          {type = "smallgarrison", hex = {69, 18}, facing = "right"},
          {type = "smallgarrison", hex = {71, 16}, facing = "right"},
          {type = "smallgarrison", hex = {71, 25}, facing = "right"},
          {type = "smallgarrison", hex = {73, 13}, facing = "right"},                       
          {type = "smallgarrison", hex = {73, 23}, facing = "right"},
          {type = "smallgarrison", hex = {74, 20}, facing = "right"},
          {type = "smallgarrison", hex = {76, 14}, facing = "right"},
          {type = "smallgarrison", hex = {76, 22}, facing = "right"},
          {type = "smallgarrison", hex = {76, 25}, facing = "right"},
          {type = "smallgarrison", hex = {77, 18}, facing = "right"},
          {type = "smallgarrison", hex = {78, 11}, facing = "right"},
          {type = "smallgarrison", hex = {78, 16}, facing = "right"},
          {type = "smallgarrison", hex = {81, 20}, facing = "right"},
          {type = "smallgarrison", hex = {125, 66}, facing = "right"},
          {type = "smallgarrison", hex = {127, 67}, facing = "right"},
          {type = "smallgarrison", hex = {129, 68}, facing = "right"},
          {type = "smallgarrison", hex = {130, 66}, facing = "right"},
          {type = "smallgarrison", hex = {130, 67}, facing = "right"},
          {type = "garrison", hex = {131, 58}, facing = "right"},
          {type = "garrison", hex = {7, 4}, facing = "right"},
          {type = "garrison", hex = {20, 37}, facing = "right"},
          {type = "garrison", hex = {61, 55}, facing = "right"},                       
          {type = "garrison", hex = {77, 6}, facing = "right"},      
          {type = "garrison", hex = {97, 57}, facing = "right"},
          {type = "infantry", hex = {79, 23}, facing = "right"},
          {type = "pre-dreadnought", hex = {20, 38}, facing = "right"},
          {type = "pre-dreadnought", hex = {80, 23}, facing = "right"},
          {type = "dreadnought", hex = {76, 5}, facing = "right"},
          {type = "dreadnought", hex = {77, 5}, facing = "right"},
          {type = "dreadnought", hex = {78, 5}, facing = "right"},
          {type = "dreadnought", hex = {78, 6}, facing = "right"},
          {type = "armouredcruiser", hex = {9, 34}, facing = "right"},
          {type = "armouredcruiser", hex = {83, 23}, facing = "right"},
          {type = "armouredcruiser", hex = {97, 58}, facing = "right"},
          {type = "lightcruiser", hex = {21, 39}, facing = "right"},
          {type = "lightcruiser", hex = {71, 26}, facing = "right"},
          {type = "lightcruiser", hex = {72, 14}, facing = "right"},
          {type = "lightcruiser", hex = {74, 19}, facing = "right"},
          {type = "lightcruiser", hex = {76, 7}, facing = "right"},
          {type = "lightcruiser", hex = {77, 13}, facing = "right"},
          {type = "lightcruiser", hex = {77, 25}, facing = "right"},                      
          {type = "submarine", hex = {89, 17}, facing = "right"},
          --{type = "convoy", hex = {83, 19}, facing = "right"},
          --{type = "convoy", hex = {83, 12}, facing = "right"},
        },

        constructions = data.constructions.britain
      },

      --------------------------- GERMANY ------------------------------
      {
        id = 2,
        resources =
        {
          pp = 75,
          mp = 1900,
          am = 25,
          nm = 20,
        },

        units =
        {
          {type = "smallgarrison", hex = {91, 24}, facing = "left"},
          {type = "smallgarrison", hex = {93, 20}, facing = "left"},
          {type = "smallgarrison", hex = {93, 26}, facing = "left"},
          {type = "smallgarrison", hex = {94, 30}, facing = "left"},
          {type = "smallgarrison", hex = {95, 19}, facing = "left"},
          {type = "smallgarrison", hex = {96, 20}, facing = "left"},
          {type = "smallgarrison", hex = {96, 23}, facing = "left"},
          {type = "smallgarrison", hex = {97, 18}, facing = "left"},
          {type = "smallgarrison", hex = {97, 28}, facing = "left"},
          {type = "smallgarrison", hex = {98, 31}, facing = "left"},
          {type = "smallgarrison", hex = {100, 25}, facing = "left"},
          {type = "smallgarrison", hex = {101, 22}, facing = "left"},
          {type = "smallgarrison", hex = {103, 20}, facing = "left"},
          {type = "smallgarrison", hex = {106, 25}, facing = "left"},
          {type = "smallgarrison", hex = {107, 22}, facing = "left"},
          {type = "garrison", hex = {89, 29}, facing = "left"},
          {type = "garrison", hex = {89, 30}, facing = "left"},
          {type = "garrison", hex = {90, 29}, facing = "left"},
          {type = "garrison", hex = {90, 31}, facing = "left"},
          {type = "garrison", hex = {90, 32}, facing = "left"},
          {type = "garrison", hex = {92, 25}, facing = "left"},
          {type = "garrison", hex = {93, 30}, facing = "left"},
          {type = "garrison", hex = {101, 23}, facing = "left"},
          {type = "garrison", hex = {104, 20}, facing = "left"},
          {type = "garrison", hex = {110, 19}, facing = "left"},
          {type = "garrison", hex = {110, 20}, facing = "left"},
          {type = "garrison", hex = {112, 17}, facing = "left"},
          {type = "garrison", hex = {113, 16}, facing = "right"},
          {type = "infantry", hex = {89, 25}, facing = "left"},
          {type = "infantry", hex = {90, 26}, facing = "left"},
          {type = "infantry", hex = {90, 27}, facing = "left"},
          {type = "infantry", hex = {90, 28}, facing = "left"},
          {type = "infantry", hex = {90, 30}, facing = "left"},
          {type = "infantry", hex = {91, 26}, facing = "left"},
          {type = "infantry", hex = {91, 27}, facing = "left"},
          {type = "infantry", hex = {112, 20}, facing = "right"},
          {type = "infantry", hex = {113, 19}, facing = "right"},
          {type = "cavalry", hex = {91, 25}, facing = "left"},
          {type = "cavalry", hex = {102, 22}, facing = "left"},
          {type = "cavalry", hex = {102, 23}, facing = "left"},
          {type = "artillery", hex = {90, 25}, facing = "left"},
          {type = "artillery", hex = {112, 18}, facing = "right"},
          {type = "fighter", hex = {92, 28}, facing = "left"},
          {type = "fighter", hex = {112, 19}, facing = "right"},
          {type = "zeppelin", hex = {95, 20}, facing = "left"},
          {type = "pre-dreadnought", hex = {110, 18}, facing = "left"},
          {type = "dreadnought", hex = {93, 19}, facing = "left"},
          {type = "dreadnought", hex = {97, 17}, facing = "left"},
          {type = "armouredcruiser", hex = {111, 14}, facing = "left"},
          {type = "lightcruiser", hex = {94, 19}, facing = "left"},
          {type = "lightcruiser", hex = {103, 19}, facing = "left"},
          {type = "lightcruiser", hex = {110, 16}, facing = "left"},
          {type = "lightcruiser", hex = {113, 7}, facing = "left"},
          {type = "submarine", hex = {91, 16}, facing = "left"},
          {type = "submarine", hex = {93, 17}, facing = "left"},
          {type = "submarine", hex = {112, 10}, facing = "left"},
          --{type = "convoy", hex = {57, 39}, facing = "right"},
        },

        constructions = data.constructions.germany
      },
      ------------------------ RUSSIA ------------------------
      {
        id = 4,
        resources =
        {
          pp = 40,
          mp = 2500,
          am = 7,
          nm = 10,
        },

        units =
        {
          {type = "smallgarrison", hex = {115, 4}, facing = "left"},
          {type = "smallgarrison", hex = {115, 7}, facing = "left"},
          {type = "smallgarrison", hex = {117, 16}, facing = "left"},
          {type = "smallgarrison", hex = {117, 23}, facing = "left"},
          {type = "smallgarrison", hex = {118, 14}, facing = "left"},
          {type = "smallgarrison", hex = {119, 7}, facing = "left"},
          {type = "smallgarrison", hex = {118, 10}, facing = "left"},
          {type = "smallgarrison", hex = {119, 18}, facing = "left"},
          {type = "smallgarrison", hex = {122, 29}, facing = "left"},         
          {type = "smallgarrison", hex = {122, 34}, facing = "left"},
          {type = "smallgarrison", hex = {123, 12}, facing = "left"},          
          {type = "smallgarrison", hex = {123, 19}, facing = "left"},
          {type = "smallgarrison", hex = {125, 7}, facing = "left"},
          {type = "smallgarrison", hex = {127, 9}, facing = "left"},
          {type = "smallgarrison", hex = {127, 15}, facing = "left"},
          {type = "smallgarrison", hex = {127, 27}, facing = "left"},
          {type = "smallgarrison", hex = {128, 24}, facing = "left"},
          {type = "smallgarrison", hex = {130, 5}, facing = "left"},
          {type = "smallgarrison", hex = {130, 17}, facing = "left"},
          {type = "smallgarrison", hex = {132, 20}, facing = "left"},
          {type = "smallgarrison", hex = {133, 11}, facing = "left"},
          {type = "smallgarrison", hex = {134, 31}, facing = "left"},
          {type = "smallgarrison", hex = {136, 14}, facing = "left"},
          {type = "smallgarrison", hex = {136, 21}, facing = "left"},
          {type = "smallgarrison", hex = {136, 24}, facing = "left"},
          {type = "smallgarrison", hex = {136, 28}, facing = "left"},
          {type = "smallgarrison", hex = {136, 37}, facing = "left"},
          {type = "smallgarrison", hex = {137, 17}, facing = "left"},
          {type = "smallgarrison", hex = {138, 1}, facing = "left"},
          {type = "smallgarrison", hex = {138, 7}, facing = "left"},
          {type = "smallgarrison", hex = {138, 10}, facing = "left"},
          {type = "smallgarrison", hex = {140, 33}, facing = "left"},
          {type = "smallgarrison", hex = {141, 24}, facing = "left"},
          {type = "smallgarrison", hex = {141, 37}, facing = "left"},
          {type = "smallgarrison", hex = {144, 11}, facing = "left"},
          {type = "smallgarrison", hex = {144, 21}, facing = "left"},
          {type = "smallgarrison", hex = {145, 37}, facing = "left"},
          {type = "smallgarrison", hex = {145, 42}, facing = "left"},
          {type = "smallgarrison", hex = {147, 4}, facing = "left"},
          {type = "smallgarrison", hex = {148, 30}, facing = "left"},
          {type = "smallgarrison", hex = {149, 46}, facing = "left"},
          {type = "smallgarrison", hex = {151, 10}, facing = "left"},
          {type = "smallgarrison", hex = {151, 14}, facing = "left"},
          {type = "smallgarrison", hex = {151, 22}, facing = "left"},
          {type = "smallgarrison", hex = {151, 43}, facing = "left"},
          {type = "smallgarrison", hex = {152, 7}, facing = "left"},
          {type = "smallgarrison", hex = {152, 40}, facing = "left"},
          {type = "smallgarrison", hex = {153, 17}, facing = "left"},
          {type = "smallgarrison", hex = {157, 8}, facing = "left"},
          {type = "smallgarrison", hex = {157, 14}, facing = "left"},
          {type = "smallgarrison", hex = {157, 33}, facing = "left"},
          {type = "smallgarrison", hex = {158, 47}, facing = "left"},
          {type = "smallgarrison", hex = {160, 25}, facing = "left"},
          {type = "smallgarrison", hex = {161, 10}, facing = "left"},
          {type = "smallgarrison", hex = {161, 19}, facing = "left"},
          {type = "smallgarrison", hex = {163, 13}, facing = "left"},
          {type = "smallgarrison", hex = {164, 9}, facing = "left"},
          {type = "garrison", hex = {111, 22}, facing = "left"},
          {type = "garrison", hex = {114, 21}, facing = "left"},
          {type = "garrison", hex = {115, 20}, facing = "left"}, 
          {type = "garrison", hex = {115, 24}, facing = "left"},
          {type = "garrison", hex = {116, 24}, facing = "left"},          
          {type = "garrison", hex = {125, 35}, facing = "left"},
          {type = "garrison", hex = {132, 38}, facing = "left"},
          {type = "garrison", hex = {146, 43}, facing = "left"},
          {type = "garrison", hex = {117, 24}, facing = "left"},
          {type = "garrison", hex = {120, 18}, facing = "left"},
          {type = "garrison", hex = {120, 19}, facing = "left"},
          {type = "infantry", hex = {112, 23}, facing = "left"},
          {type = "infantry", hex = {116, 23}, facing = "left"},
          {type = "infantry", hex = {117, 15}, facing = "left"},
          {type = "infantry", hex = {135, 14}, facing = "left"},
          {type = "infantry", hex = {136, 13}, facing = "left"},
          {type = "infantry", hex = {136, 15}, facing = "left"},
          {type = "infantry", hex = {149, 45}, facing = "left"},
          {type = "cavalry", hex = {118, 18}, facing = "left"},
          {type = "cavalry", hex = {118, 19}, facing = "left"},
          {type = "cavalry", hex = {118, 20}, facing = "left"},
          {type = "artillery", hex = {120, 17}, facing = "left"},
          {type = "armouredtrain", hex = {118, 15}, facing = "left"},
          {type = "fighter", hex = {119, 17}, facing = "left"},
          {type = "pre-dreadnought", hex = {120, 8}, facing = "left"},
          {type = "pre-dreadnought", hex = {131, 37}, facing = "left"},
          {type = "dreadnought", hex = {124, 8}, facing = "left"},
          {type = "armouredcruiser", hex = {118, 9}, facing = "left"},
          {type = "armouredcruiser", hex = {125, 36}, facing = "left"},
          {type = "submarine", hex = {117, 13}, facing = "left"},
          {type = "submarine", hex = {131, 39}, facing = "left"}, 
          --{type = "infantry", hex = {119, 26}, facing = "left"},
          --{type = "infantry", hex = {113, 21}, facing = "left"},        
          --{type = "garrison", hex = {112, 8}, facing = "left"},
          --{type = "submarine", hex = {112, 7}, facing = "left"},           
        },

        constructions = data.constructions.russia
      },
      ------------------------ TURKEY ------------------------
      {
        id = 5,
        resources =
        {
          pp = 16,
          mp = 1100,
          am = 5,
          nm = 20,
        },

        units =
        {
          {type = "smallgarrison", hex = {118, 47}, facing = "left"},
          {type = "smallgarrison", hex = {119, 51}, facing = "left"},
          {type = "smallgarrison", hex = {122, 45}, facing = "left"},
          {type = "smallgarrison", hex = {123, 48}, facing = "left"},
          {type = "smallgarrison", hex = {128, 48}, facing = "left"},
          {type = "smallgarrison", hex = {128, 51}, facing = "left"},
          {type = "smallgarrison", hex = {133, 53}, facing = "left"},
          {type = "smallgarrison", hex = {133, 65}, facing = "left"},
          {type = "smallgarrison", hex = {135, 61}, facing = "left"},
          {type = "smallgarrison", hex = {135, 64}, facing = "left"},
          {type = "smallgarrison", hex = {135, 67}, facing = "left"},
          {type = "smallgarrison", hex = {136, 45}, facing = "left"},
          {type = "smallgarrison", hex = {137, 62}, facing = "left"},
          {type = "smallgarrison", hex = {137, 70}, facing = "left"},
          {type = "smallgarrison", hex = {138, 55}, facing = "left"},
          {type = "smallgarrison", hex = {143, 76}, facing = "left"},
          {type = "smallgarrison", hex = {145, 48}, facing = "left"},
          {type = "smallgarrison", hex = {149, 55}, facing = "left"},
          {type = "smallgarrison", hex = {152, 59}, facing = "left"},
          {type = "smallgarrison", hex = {153, 61}, facing = "left"},
          {type = "smallgarrison", hex = {155, 63}, facing = "left"},
          {type = "smallgarrison", hex = {155, 76}, facing = "left"},
          {type = "smallgarrison", hex = {157, 68}, facing = "left"},
          {type = "smallgarrison", hex = {158, 72}, facing = "left"},
          {type = "garrison", hex = {119, 45}, facing = "left"},
          {type = "garrison", hex = {134, 66}, facing = "left"},
          {type = "garrison", hex = {134, 67}, facing = "left"},
          {type = "garrison", hex = {135, 62}, facing = "left"},
          {type = "garrison", hex = {137, 63}, facing = "left"},
          {type = "garrison", hex = {144, 48}, facing = "left"},
          {type = "infantry", hex = {119, 47}, facing = "left"},
          {type = "infantry", hex = {135, 65}, facing = "left"},
          {type = "infantry", hex = {146, 48}, facing = "left"},
          {type = "cavalry", hex = {138, 66}, facing = "left"},
          {type = "artillery", hex = {135, 66}, facing = "left"},
          {type = "lightcruiser", hex = {121, 45}, facing = "left"},
        },

        constructions = data.constructions.turkey
      },
      -------------------------- BELGIUM --------------------------
      {
        id = 6,
        resources =
        {
          pp = 7,
          mp = 170,
          am = 0,
          nm = 20,
        },

        units =
        {
          {type = "smallgarrison", hex = {88, 26}, facing = "right"},         
          --{type = "infantry", hex = {88, 25}, facing = "right"},
          {type = "infantry", hex = {86, 26}, facing = "right"},
          --{type = "garrison", hex = {85, 24}, facing = "right"},
          --{type = "garrison", hex = {85, 24}, facing = "right"},
          {type = "garrison", hex = {85, 24}, facing = "right"},
          {type = "armouredcar", hex = {85, 25}, facing = "right"},
        },

        constructions = data.constructions.belgium
      },
      -------------------------- ITALY --------------------------
      {
        id = 8,
        resources =
        {
          pp = 36,
          mp = 1100,
          am = 5,
          nm = 10,
        },


        units =
        {
          {type = "smallgarrison", hex = {89, 36}, facing = "left"},
          {type = "smallgarrison", hex = {89, 48}, facing = "left"},
          {type = "smallgarrison", hex = {91, 38}, facing = "left"},
          {type = "smallgarrison", hex = {92, 36}, facing = "left"},
          {type = "smallgarrison", hex = {94, 63}, facing = "left"},
          {type = "smallgarrison", hex = {96, 44}, facing = "left"},
          {type = "smallgarrison", hex = {103, 46}, facing = "left"},
          {type = "smallgarrison", hex = {106, 64}, facing = "left"},
          {type = "smallgarrison", hex = {111, 64}, facing = "left"},
          {type = "smallgarrison", hex = {98, 46}, facing = "left"},
          {type = "smallgarrison", hex = {94, 40}, facing = "left"},
          {type = "garrison", hex = {98, 52}, facing = "left"},         
          {type = "garrison", hex = {95, 52}, facing = "left"},
          {type = "garrison", hex = {94, 35}, facing = "left"},
          {type = "garrison", hex = {97, 36}, facing = "right"},
          {type = "infantry", hex = {96, 36}, facing = "right"},
          {type = "infantry", hex = {95, 35}, facing = "right"},
          {type = "cavalry", hex = {92, 38}, facing = "left"},
          {type = "artillery", hex = {95, 38}, facing = "right"},
          {type = "fighter", hex = {96, 39}, facing = "right"},
          {type = "fighter", hex = {97, 40}, facing = "right"},
          {type = "pre-dreadnought", hex = {97, 51}, facing = "left"}, 
          {type = "dreadnought", hex = {103, 47}, facing = "left"},
          {type = "armouredcruiser", hex = {89, 49}, facing = "left"},
          {type = "submarine", hex = {94, 52}, facing = "left"},           
        },

        constructions = data.constructions.italy
      },
      ------------------------- NETHERLANDS -------------------------
      {
        id = 9,
        resources =
        {
          pp = 10,
          mp = 170,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "smallgarrison", hex = {89, 20}, facing = "right"},
          {type = "infantry", hex = {89, 23}, facing = "right"},
          {type = "garrison", hex = {87, 22}, facing = "right"},
          {type = "infantry", hex = {91, 22}, facing = "right"};
          {type = "garrison", hex = {91, 20}, facing = "right"},
        },

        constructions = data.constructions.netherlands
      },
      ------------------------- USA -------------------------
      {
        id = 10,
        resources =
        {
          pp = 40,
          mp = 2100,
          am = 5,
          nm = 0,
        },

        units =
        {
          {type = "smallgarrison", hex = {9, 42}, facing = "right"},
          {type = "garrison", hex = {9, 43}, facing = "right"},
          {type = "garrison", hex = {4, 48}, facing = "right"},
          {type = "garrison", hex = {3, 49}, facing = "right"},
          {type = "infantry", hex = {1, 49}, facing = "right"},
          {type = "pre-dreadnought", hex = {2, 53}, facing = "right"},
          {type = "dreadnought", hex = {5, 46}, facing = "right"},
          {type = "armouredcruiser", hex = {10, 43}, facing = "right"},
        },

        constructions = data.constructions.usa
      },
      ------------------------- SWEDEN -------------------------
      {
        id = 11,
        resources =
        {
          pp = 10,
          mp = 200,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "smallgarrison", hex = {111, 1}, facing = "right"},
          {type = "infantry", hex = {110, 9}, facing = "right"},
          {type = "smallgarrison", hex = {106, 3}, facing = "right"},
          {type = "smallgarrison", hex = {105, 9}, facing = "right"},
          {type = "infantry", hex = {104, 15}, facing = "right"},
          {type = "smallgarrison", hex = {101, 12}, facing = "right"},
          {type = "smallgarrison", hex = {101, 15}, facing = "right"},
        },

        constructions = data.constructions.sweden
      },
      ------------------------- DENMARK -------------------------
      {
        id = 12,
        resources =
        {
          pp = 10,
          mp = 200,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {99, 16}, facing = "right"},
          {type = "infantry", hex = {97, 14}, facing = "right"},
          {type = "smallgarrison", hex = {97, 13}, facing = "right"},
          {type = "smallgarrison", hex = {97, 15}, facing = "right"},
          {type = "garrison", hex = {97, 16}, facing = "right"},
          {type = "garrison", hex = {95, 16}, facing = "right"},
          {type = "lightcruiser", hex = {100, 16}, facing = "right"},
        },

        constructions = data.constructions.denmark
      },
      ------------------------- FINLAND -------------------------
      {
        id = 13,
        resources =
        {
          pp = 10,
          mp = 200,
          am = 0,
          nm = 0,
        },

--~         units =
--~         {
--~           {type = "infantry", hex = {119, 7}, facing = "right"},
--~           {type = "infantry", hex = {114, 3}, facing = "right"},
--~           {type = "smallgarrison", hex = {115, 4}, facing = "right"},
--~           {type = "garrison", hex = {115, 5}, facing = "right"},
--~           {type = "smallgarrison", hex = {115, 7}, facing = "right"},
--~           {type = "infantry", hex = {116, 7}, facing = "right"},
--~           {type = "garrison", hex = {127, 2}, facing = "right"},
--~         },

        constructions = data.constructions.finland
      },
      ------------------------- GREECE -------------------------
      {
        id = 14,
        resources =
        {
          pp = 20,
          mp = 400,
          am = 4,
          nm = 30,
        },

        units =
        {
          {type = "smallgarrison", hex = {112, 51}, facing = "right"},
          {type = "garrison", hex = {113, 52}, facing = "right"},
          {type = "garrison", hex = {114, 45}, facing = "right"},
          {type = "garrison", hex = {113, 46}, facing = "right"},
          {type = "garrison", hex = {115, 57}, facing = "right"},
          {type = "armouredcruiser", hex = {113, 53}, facing = "RIGHT"},
        },

        constructions = data.constructions.greece
      },
      ------------------------- SPAIN -------------------------
      {
        id = 15,
        resources =
        {
          pp = 20,
          mp = 1000,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "smallgarrison", hex = {59, 57}, facing = "right"},
          {type = "smallgarrison", hex = {63, 52}, facing = "right"},
          {type = "smallgarrison", hex = {64, 44}, facing = "right"},
          {type = "smallgarrison", hex = {70, 41}, facing = "right"},
          {type = "smallgarrison", hex = {72, 45}, facing = "right"},
          {type = "garrison", hex = {79, 45}, facing = "right"},
          {type = "garrison", hex = {70, 53}, facing = "right"},
          {type = "infantry", hex = {66, 48}, facing = "right"},
        },

        constructions = data.constructions.spain
      },
      ------------------------- PORTUGAL -------------------------
      {
        id = 16,
        resources =
        {
          pp = 10,
          mp = 140,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "smallgarrison", hex = {55, 50}, facing = "right"},
          {type = "smallgarrison", hex = {58, 45}, facing = "right"},
          {type = "garrison", hex = {59, 49}, facing = "right"},
          {type = "infantry", hex = {56, 50}, facing = "right"},
          {type = "infantry", hex = {59, 45}, facing = "right"},
        },


        constructions = data.constructions.portugal
      },
      ------------------------- SWITZERLAND -------------------------
      {
        id = 17,
        resources =
        {
          pp = 20,
          mp = 160,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "smallgarrison", hex = {90, 34}, facing = "right"},
          {type = "infantry", hex = {91, 34}, facing = "right"},
          {type = "garrison", hex = {89, 33}, facing = "right"}
        },

        constructions = data.constructions.switzerland
      },
      ------------------------- ROMANIA -------------------------
      {
        id = 18,
        resources =
        {
          pp = 25,
          mp = 550,
          am = 3,
          nm = 10,
        },

        units =
        {
          {type = "garrison", hex = {114, 38}, facing = "right"},
          {type = "infantry", hex = {118, 39}, facing = "right"},
          {type = "infantry", hex = {117, 38}, facing = "right"},
          {type = "infantry", hex = {119, 34}, facing = "right"},
          {type = "cavalry", hex = {119, 32}, facing = "right"},
          {type = "infantry", hex = {120, 34}, facing = "right"},
          {type = "smallgarrison", hex = {122, 39}, facing = "right"},
          {type = "artillery", hex = {117, 39}, facing = "right"},
          {type = "garrison", hex = {119, 33}, facing = "right"},
        },

        constructions = data.constructions.romania
      },
      ------------------------- BULGARIA -------------------------
      {
        id = 19,
        resources =
        {
          pp = 30,
          mp = 430,
          am = 4,
          nm = 20,
        },

        units =
        {
          {type = "smallgarrison", hex = {114, 43}, facing = "right"},
          {type = "smallgarrison", hex = {118, 42}, facing = "right"},
          {type = "smallgarrison", hex = {121, 41}, facing = "right"},
          {type = "garrison", hex = {118, 41}, facing = "right"},
          {type = "garrison", hex = {121, 40}, facing = "right"},
          {type = "infantry", hex = {115, 42}, facing = "right"},
          {type = "infantry", hex = {117, 41}, facing = "right"},
          {type = "infantry", hex = {120, 41}, facing = "right"},
          {type = "cavalry", hex = {117, 42}, facing = "right"},
          {type = "artillery", hex = {114, 42}, facing = "right"},
        },

        constructions = data.constructions.bulgaria
      },
      ------------------------- NORWAY -------------------------
      {
        id = 20,
        resources =
        {
          pp = 10,
          mp = 200,
          am = 0,
          nm = 0,
        },
        units = {{type = "smallgarrison", hex = {100, 2}, facing = "right"}},
        units = {{type = "infantry", hex = {99, 8}, facing = "right"}},
        units = {{type = "infantry", hex = {93, 5}, facing = "right"}},

        constructions = data.constructions.norway
      },
      ------------------------- ARABIA -------------------------
      {
        id = 21,
        resources =
        {
          pp = 20,
          mp = 200,
          am = 0,
          nm = 0,
        },
        
        constructions = data.constructions.arabia

      },
      ------------------------- PERSIA -------------------------
      {
        id = 22,
        resources =
        {
          pp = 10,
          mp = 100,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {155, 50}, facing = "left"},         
          {type = "garrison", hex = {159, 52}, facing = "left"},
          {type = "garrison", hex = {162, 55}, facing = "left"},
          {type = "smallgarrison", hex = {162, 67}, facing = "left"},
          {type = "smallgarrison", hex = {163, 60}, facing = "left"},      
        },

        constructions = data.constructions.persia

      },

      ------------------------- COLONIES -------------------------
      {
        id = 23,
        resources =
        {
          pp = 0,
          mp = 0,
          am = 0,
          nm = 0
        },

        constructions = data.constructions.colonies
      },

      ------------------------- RED FINLAND -------------------------
      {
        id = 25,
        resources =
        {
          pp = 0,
          mp = 0,
          am = 0,
          nm = 0,
        },

      },
    }
  },
  -- **************************** ENTENTE ALLIES ***********************
  {
    id = 1,
    enemies = {2},

    factions =
    {
      ------------------------- SERBIA -------------------------
      {
        id = 7,
        resources =
        {
          pp = 28,
          mp = 420,
          am = 12,
          nm = 30,
        },

        units =
        {
          {type = "smallgarrison", hex = {108, 45}, facing = "left"},
          {type = "smallgarrison", hex = {111, 44}, facing = "left"},
          {type = "smallgarrison", hex = {112, 41}, facing = "left"},
          {type = "garrison", hex = {107, 42}, facing = "left"},
          {type = "garrison", hex = {107, 38}, facing = "left"},
          {type = "garrison", hex = {107, 40}, facing = "left"},
          {type = "garrison", hex = {108, 39}, facing = "left"},
          {type = "garrison", hex = {108, 41}, facing = "left"},
          {type = "garrison", hex = {110, 43}, facing = "left"},
          {type = "garrison", hex = {111, 43}, facing = "left"},
          {type = "infantry", hex = {107, 39}, facing = "left"},         
          {type = "infantry", hex = {109, 38}, facing = "left"},
          {type = "infantry", hex = {111, 39}, facing = "left"},
          {type = "cavalry", hex = {110, 40}, facing = "left"},
          {type = "artillery", hex = {109, 40}, facing = "left"},                             
        },

        constructions = data.constructions.serbia
      },
    }
  },
  -- ******************* CENTRAL POWERS *********************
  {
    id = 2,

    enemies = {1},

    factions =
    {
      ---------------------- AUSTRIA -----------------------
      {
        id = 3,
        resources =
        {
          pp = 42,
          mp = 1600,
          am = 22,
          nm = 20,
        },

        units =
        {
          {type = "smallgarrison", hex = {94, 34}, facing = "right"},
          {type = "smallgarrison", hex = {95, 32}, facing = "right"},
          {type = "smallgarrison", hex = {99, 36}, facing = "right"},
          {type = "smallgarrison", hex = {102, 36}, facing = "right"},
          {type = "smallgarrison", hex = {103, 26}, facing = "right"},
          {type = "smallgarrison", hex = {103, 40}, facing = "right"},
          {type = "smallgarrison", hex = {104, 31}, facing = "right"},
          {type = "smallgarrison", hex = {108, 33}, facing = "right"},
          {type = "smallgarrison", hex = {110, 27}, facing = "right"},
          {type = "smallgarrison", hex = {111, 32}, facing = "right"}, 
          {type = "smallgarrison", hex = {112, 37}, facing = "right"},
          {type = "smallgarrison", hex = {114, 28}, facing = "right"},
          {type = "smallgarrison", hex = {115, 33}, facing = "right"},
          {type = "smallgarrison", hex = {116, 28}, facing = "right"},
          {type = "garrison", hex = {103, 30}, facing = "right"},
          {type = "garrison", hex = {106, 40}, facing = "right"},
          {type = "garrison", hex = {106, 42}, facing = "right"},
          {type = "garrison", hex = {114, 29}, facing = "right"},
          {type = "garrison", hex = {115, 32}, facing = "right"},
          {type = "infantry", hex = {104, 30}, facing = "right"},                  
          {type = "infantry", hex = {105, 37}, facing = "right"},
          {type = "infantry", hex = {105, 38}, facing = "right"},
          {type = "infantry", hex = {105, 36}, facing = "right"},
          {type = "infantry", hex = {115, 28}, facing = "right"},
          {type = "infantry", hex = {116, 29}, facing = "right"}, 
          {type = "cavalry", hex = {108, 32}, facing = "right"},
          {type = "artillery", hex = {109, 32}, facing = "right"},
          {type = "fighter", hex = {108, 34}, facing = "right"},
          {type = "pre-dreadnought", hex = {102, 41}, facing = "right"},
          {type = "dreadnought", hex = {99, 37}, facing = "right"},
          {type = "armouredcruiser", hex = {105, 42}, facing = "right"},
          {type = "submarine", hex = {105, 44}, facing = "right"},
          --{type = "infantry", hex = {113, 27}, facing = "right"},
          --{type = "infantry", hex = {114, 28}, facing = "right"},
          --{type = "infantry", hex = {115, 27}, facing = "right"},        
          --{type = "garrison", hex = {102, 39}, facing = "right"},         
        },

        constructions = data.constructions.austria
      }
    }
  }
}


function TurnStart(turn)
  -- Free lab for turkey
  if game.type == Game.TYPE_SINGLE and turn == 15 then
    local turkey = game:GetFactionById(5)
    if playerAlliance ~= nil and turkey.alliance.id ~= playerAlliance.id then
      BuildLab(turkey, "ground", true)
    end
  end
end



function PhaseStart(alliance)
  local turn = game.turn + 1
  if alliance.id == 2 then
    if turn == 2 then
      SetWarEffort(2, 85)
      SetWarEffort(3, 80)
    end
    if turn == 4 then
      SetWarEffort(2, 95)
      SetWarEffort(3, 85)
    end
    if turn == 6 then
      SetWarEffort(2, 100)
      SetWarEffort(3, 95)
      SetWarEffort(5, 80)
    end
    if turn == 8 then
      SetWarEffort(3, 100)
      SetWarEffort(5, 85)
    end
    if turn == 10 then
      SetWarEffort(5, 90)
    end
    if turn == 12 then
      SetWarEffort(5, 95)
    end
    if turn == 14 then
      SetWarEffort(5, 100)
    end
    if turn == 2 then
      SetWarEffort(0, 90)
      SetWarEffort(1, 85)
      SetWarEffort(4, 80)
      SetWarEffort(7, 90)
    end
    if turn == 4 then
      SetWarEffort(0, 95)
      SetWarEffort(1, 90)
      SetWarEffort(4, 85)
      SetWarEffort(7, 95)
    end
    if turn == 6 then
      SetWarEffort(0, 100)
      SetWarEffort(1, 95)
      SetWarEffort(4, 90)
      SetWarEffort(7, 100)
    end
    if turn == 8 then
      SetWarEffort(1, 100)
      SetWarEffort(4, 95)
    end
    if turn == 10 then
      SetWarEffort(4, 100)
    end
  end
end



function GetTurnDate()
  if game.turn <= 5 then
    if game.turn <= 1 then
      return 23,7,1914
    end
    if game.turn == 2 then
      return 30,7,1914
    end
    if game.turn == 3 then
      return 6,8,1914
    end
    if game.turn == 4 then
      return 13,8,1914
    end
    if game.turn == 5 then
      return 20,8,1914
    end
  else
    return game.date.day, game.date.month, game.date.year
  end
end

function SetTurnDate()
  if game.turn > 5 then
    game.date:AdvanceWeeks(2)
  end
end

--~ function ChangeDate()
--~   if game.turn > 5 then
--~     game.date:AdvanceWeeks(2)
--~   end
--~ end





function OnScenarioLoaded()

  -- Intro
  ui.briefingPanel:Start(1, 4, "briefing_1914_" .. GetPlayer().alliance.id .. "_", {{106, 39},{88, 29},{113, 19},{106, 39}})

  ScenarioSetup()

  ScenarioDifficultyChanges()

--~    PrintResources()

--~ PrintTechUnlockDates()

end

function ScenarioSetup()

  SetWarEffort(0, 75)
  SetWarEffort(1, 75)
  SetWarEffort(2, 75)
  SetWarEffort(3, 75)
  SetWarEffort(4, 75)
  SetWarEffort(5, 75)
  SetWarEffort(7, 75)

  SetFactionAlignment(0, 99.7)  -- france
  SetFactionAlignment(1, 99.5)  -- uk
  SetFactionAlignment(2, 0.3)   -- germany
  SetFactionAlignment(3, 0)     -- austria
  SetFactionAlignment(4, 99.1)  -- russia
  SetFactionAlignment(5, 2)     -- turkey
  SetFactionAlignment(6, 99.7)  -- belgium
  SetFactionAlignment(7, 100)   -- serbia
  SetFactionAlignment(8, 94.4)  -- italy
  SetFactionAlignment(9, 50)    -- netherlands
  SetFactionAlignment(10, 74)   -- usa
  SetFactionAlignment(11, 50)   -- sweden
  SetFactionAlignment(12, 40)   -- denmark
  SetFactionAlignment(13, 50)   -- finland
  SetFactionAlignment(14, 71.1) -- greece
  SetFactionAlignment(15, 55)   -- spain
  SetFactionAlignment(16, 87.6) -- portugal
  SetFactionAlignment(17, 50)   -- switzerland
  SetFactionAlignment(18, 87.9) -- romania
  SetFactionAlignment(19, 8)    -- bulgaria
  SetFactionAlignment(20, 53)   -- norway
  SetFactionAlignment(21, 50)   -- arabia
  SetFactionAlignment(22, 50)   -- persia   

  -- France
  ProgressTechnology(0, "industrial_warfare", 16)
  ProgressTechnology(0, "aa_defense", 7)
  ProgressTechnology(0, "barbed_wire", 22)
  ProgressTechnology(0, "hydro_pneumatic_howitzer", 15)
  ProgressTechnology(0, "flash_spotting", 0)
  ProgressTechnology(0, "chlorine_gas", 22)
  ProgressTechnology(0, "super_railroad_gun", 1)
  UnlockTechnology(0, "all_centerline_armament")
  ProgressTechnology(0, "torpedo_bulge", 4)
  ProgressTechnology(0, "seaplane_tender", 1)
  ProgressTechnology(0, "depth_charge", 4)
  ProgressTechnology(0, "diesel_electric_propulsion", 63)
  ProgressTechnology(0, "armed_fighter", 24)
  ProgressTechnology(0, "bomb_rack", 14)
  ProgressTechnology(0, "rigid_airship", 19)
  ProgressTechnology(0, "armoured_car_chassis", 51)
  ProgressTechnology(0, "industrial_train_design", 26)
  ProgressTechnology(0, "caterpillar_combat_vehicle", 25)

  -- Britain
  ProgressTechnology(1, "industrial_warfare", 18)
  ProgressTechnology(1, "aa_defense", 17)
  ProgressTechnology(1, "barbed_wire", 25)
  ProgressTechnology(1, "hydro_pneumatic_howitzer", 27)
  ProgressTechnology(1, "flash_spotting", 1)
  ProgressTechnology(1, "chlorine_gas", 13)
  ProgressTechnology(1, "super_railroad_gun", 3)
  UnlockTechnology(1, "all_centerline_armament")
  ProgressTechnology(1, "torpedo_bulge", 49)
  ProgressTechnology(1, "seaplane_tender", 17)
  ProgressTechnology(1, "depth_charge", 10)
  UnlockTechnology(1, "diesel_electric_propulsion")
  ProgressTechnology(1, "external_torpedo_storage", 14)
  ProgressTechnology(1, "armed_fighter", 21)
  ProgressTechnology(1, "bomb_rack", 10)
  ProgressTechnology(1, "rigid_airship", 15)
  ProgressTechnology(1, "armoured_car_chassis", 41)
  ProgressTechnology(1, "industrial_train_design", 15)
  ProgressTechnology(1, "caterpillar_combat_vehicle", 43)

  -- Germany
  UnlockTechnology(2, "industrial_warfare")
  ProgressTechnology(2, "grenade", 35)
  ProgressTechnology(2, "aa_defense", 27)
  ProgressTechnology(2, "barbed_wire", 39)
  UnlockTechnology(2, "hydro_pneumatic_howitzer")
  ProgressTechnology(2, "specialised_shell_types", 36)
  ProgressTechnology(2, "flash_spotting", 2)
  ProgressTechnology(2, "chlorine_gas", 34)
  ProgressTechnology(2, "super_railroad_gun", 17)
  UnlockTechnology(2, "all_centerline_armament")
  UnlockTechnology(2, "torpedo_bulge")
  ProgressTechnology(2, "centralised_fire_control", 82)
  ProgressTechnology(2, "all_or_nothing_armour", 12)
  ProgressTechnology(2, "seaplane_tender", 7)
  ProgressTechnology(2, "depth_charge", 8)
  UnlockTechnology(2, "diesel_electric_propulsion")
  ProgressTechnology(2, "external_torpedo_storage", 27)
  ProgressTechnology(2, "armed_fighter", 63)
  ProgressTechnology(2, "bomb_rack", 22)
  UnlockTechnology(2, "rigid_airship")
  ProgressTechnology(2, "observation_car", 18)
  ProgressTechnology(2, "armoured_car_chassis", 34)
  ProgressTechnology(2, "industrial_train_design", 43)
  ProgressTechnology(2, "caterpillar_combat_vehicle", 11)

  -- Austria
  ProgressTechnology(3, "industrial_warfare", 15)
  ProgressTechnology(3, "aa_defense", 3)
  ProgressTechnology(3, "barbed_wire", 5)
  ProgressTechnology(3, "hydro_pneumatic_howitzer", 17)
  ProgressTechnology(3, "flash_spotting", 1)
  ProgressTechnology(3, "chlorine_gas", 0)
  ProgressTechnology(3, "super_railroad_gun", 1)
  UnlockTechnology(3, "all_centerline_armament")
  ProgressTechnology(3, "torpedo_bulge", 14)
  ProgressTechnology(3, "seaplane_tender", 1)
  ProgressTechnology(3, "depth_charge", 1)
  ProgressTechnology(3, "diesel_electric_propulsion", 32)
  ProgressTechnology(3, "armed_fighter", 16)
  ProgressTechnology(3, "bomb_rack", 14)
  ProgressTechnology(3, "rigid_airship", 16)
  ProgressTechnology(3, "armoured_car_chassis", 24)
  ProgressTechnology(3, "industrial_train_design", 12)
  ProgressTechnology(3, "caterpillar_combat_vehicle", 0)

  -- Russia
  ProgressTechnology(4, "industrial_warfare", 16)
  ProgressTechnology(4, "aa_defense", 5)
  ProgressTechnology(4, "barbed_wire", 7)
  ProgressTechnology(4, "hydro_pneumatic_howitzer", 19)
  ProgressTechnology(4, "flash_spotting", 1)
  ProgressTechnology(4, "chlorine_gas", 0)
  ProgressTechnology(4, "super_railroad_gun", 1)
  UnlockTechnology(4, "all_centerline_armament")
  ProgressTechnology(4, "torpedo_bulge", 24)
  ProgressTechnology(4, "seaplane_tender", 3)
  ProgressTechnology(4, "depth_charge", 1)
  ProgressTechnology(4, "diesel_electric_propulsion", 12)
  ProgressTechnology(4, "armed_fighter", 16)
  UnlockTechnology(4, "bomb_rack")
  UnlockTechnology(4, "heavy_bomber")
  ProgressTechnology(4, "bomb_sight", 53)
  ProgressTechnology(4, "armoured_car_chassis", 86)
  UnlockTechnology(4, "industrial_train_design")
  ProgressTechnology(4, "caterpillar_combat_vehicle", 1)

  -- Turkey
  ProgressTechnology(5, "industrial_warfare", 7)
  ProgressTechnology(5, "aa_defense", 2)
  ProgressTechnology(5, "barbed_wire", 4)
  ProgressTechnology(5, "hydro_pneumatic_howitzer", 1)
  ProgressTechnology(5, "flash_spotting", 1)
  ProgressTechnology(5, "chlorine_gas", 0)
  ProgressTechnology(5, "super_railroad_gun", 1)
  UnlockTechnology(5, "armoured_car_chassis")
  UnlockTechnology(5, "industrial_train_design")

  -- Belgium
  ProgressTechnology(6, "industrial_warfare", 0)
  ProgressTechnology(6, "aa_defense", 1)
  ProgressTechnology(6, "barbed_wire", 2)
  UnlockTechnology(6, "armoured_car_chassis")

  -- Serbia
  ProgressTechnology(7, "industrial_warfare", 10)
  ProgressTechnology(7, "aa_defense", 4)
  ProgressTechnology(7, "barbed_wire", 17)
  ProgressTechnology(7, "hydro_pneumatic_howitzer", 14)
  ProgressTechnology(7, "flash_spotting", 0)
  ProgressTechnology(7, "chlorine_gas", 0)
  ProgressTechnology(7, "super_railroad_gun", 0)

  -- Italy
  ProgressTechnology(8, "industrial_warfare", 14)
  ProgressTechnology(8, "aa_defense", 3)
  ProgressTechnology(8, "barbed_wire", 6)
  ProgressTechnology(8, "hydro_pneumatic_howitzer", 19)
  ProgressTechnology(8, "flash_spotting", 1)
  ProgressTechnology(8, "chlorine_gas", 0)
  ProgressTechnology(8, "super_railroad_gun", 1)
  UnlockTechnology(8, "all_centerline_armament")
  ProgressTechnology(8, "torpedo_bulge", 8)
  ProgressTechnology(8, "seaplane_tender", 1)
  ProgressTechnology(8, "depth_charge", 1)
  ProgressTechnology(8, "diesel_electric_propulsion", 43)
  ProgressTechnology(8, "armed_fighter", 11)
  ProgressTechnology(8, "bomb_rack", 26)
  ProgressTechnology(8, "rigid_airship", 39)
  ProgressTechnology(8, "armoured_car_chassis", 11)
  ProgressTechnology(8, "industrial_train_design", 16)
  ProgressTechnology(8, "caterpillar_combat_vehicle", 1)

  -- USA
  ProgressTechnology(10, "industrial_warfare", 28)
  ProgressTechnology(10, "aa_defense", 11)
  ProgressTechnology(10, "barbed_wire", 16)
  ProgressTechnology(10, "hydro_pneumatic_howitzer", 19)
  ProgressTechnology(10, "flash_spotting", 1)
  ProgressTechnology(10, "chlorine_gas", 0)
  ProgressTechnology(10, "super_railroad_gun", 2)
  UnlockTechnology(10, "all_centerline_armament")
  ProgressTechnology(10, "torpedo_bulge", 28)
  ProgressTechnology(10, "seaplane_tender", 5)
  ProgressTechnology(10, "depth_charge", 1)
  ProgressTechnology(10, "diesel_electric_propulsion", 33)
  ProgressTechnology(10, "armed_fighter", 7)
  ProgressTechnology(10, "bomb_rack", 16)
  ProgressTechnology(10, "rigid_airship", 29)
  ProgressTechnology(10, "armoured_car_chassis", 11)
  ProgressTechnology(10, "industrial_train_design", 16)
  ProgressTechnology(10, "caterpillar_combat_vehicle", 1)

  for faction in game.factions do
    for unit in faction.units do
      UpdateUnit(unit)
    end
  end

  SetAmmunitionFactories(0, 5) --"france",
  SetAmmunitionFactories(1, 6) --"britain",
  SetAmmunitionFactories(2, 9) --"germany",
  SetAmmunitionFactories(3, 4) --"austria",
  SetAmmunitionFactories(4, 5) --"russia",
  SetAmmunitionFactories(5, 3) --"turkey",
  SetAmmunitionFactories(7, 3) --"serbia",
  SetAmmunitionFactories(8, 3) --"italy",
  SetAmmunitionFactories(10, 3) -- "usa",
  SetAmmunitionFactories(14, 4) -- "greece",
  SetAmmunitionFactories(18, 2) -- "romania",
  SetAmmunitionFactories(19, 2) -- "bulgaria",

  SetLabs(0, 1, 1, 1, 1, 1)
  SetLabs(1, 1, 1, 1, 1, 1)
  SetLabs(2, 1, 1, 1, 1, 1)
  SetLabs(3, 1, 1, 1, 1, 1)
  SetLabs(4, 1, 1, 1, 1, 1)
  SetLabs(5, 1, 1, 0, 0, 0)
  SetLabs(6, 1, 0, 0, 0, 0)
  SetLabs(7, 1, 1, 0, 0, 0)
  SetLabs(8, 1, 1, 1, 1, 1)
  SetLabs(9, 1, 0, 0, 0, 0)
  SetLabs(10, 1, 1, 1, 1, 1)
  SetLabs(11, 1, 0, 0, 0, 0)
  SetLabs(12, 1, 0, 0, 0, 0)
  SetLabs(13, 1, 0, 0, 0, 0)
  SetLabs(14, 1, 1, 0, 0, 0)
  SetLabs(15, 1, 0, 0, 0, 0)
  SetLabs(16, 1, 0, 0, 0, 0)
  SetLabs(17, 1, 0, 0, 0, 0)
  SetLabs(18, 1, 1, 0, 0, 0)
  SetLabs(19, 1, 1, 0, 0, 0)
  SetLabs(20, 1, 0, 0, 0, 0)
  SetLabs(21, 0, 0, 0, 0, 0)

  SetColonialFaction(0)
  SetColonialFaction(1)

  SetFactionRailmoves(0, 1)
  SetFactionRailmoves(1, 1)
  SetFactionRailmoves(2, 2)
  SetFactionRailmoves(3, 1)
  SetFactionRailmoves(4, 1)
  SetFactionRailmoves(5, 1)
  SetFactionRailmoves(6, 1)
  SetFactionRailmoves(7, 1)
  SetFactionRailmoves(8, 1)
  SetFactionRailmoves(10, 1)
  SetFactionRailmoves(14, 1)

  SetFactionTransportmoves(0, 1)--France
  SetFactionTransportmoves(1, 2)--Britain
  SetFactionTransportmoves(2, 1)--Germany
  SetFactionTransportmoves(3, 1)--Austria
  SetFactionTransportmoves(4, 1)--Russia
  SetFactionTransportmoves(5, 1)--Turkey
  SetFactionTransportmoves(8, 1)--Italy
  SetFactionTransportmoves(10, 1)--USA
  SetFactionTransportmoves(14, 1)--Greece
  SetFactionTransportmoves(16, 1)--Portugal

  DefineConvoy(0, 0, 58, 100, 10, 10)  --  USA low

  DefineConvoy(1, 0, 6, 100, 20, 5)  -- Canada high
  DefineConvoy(1, 17, 32, 100, 20, 15) -- Canada centre
  DefineConvoy(1, 137, 76, 100, 10, 12)  -- Africa west
  DefineConvoy(1, 39, 76, 100, 10, 8)  -- Africa east

  DefineConvoy(2, 116, 0, 100, 5, 7) -- Sweden
  DefineConvoy(2, 32, 76, 100, 10, 6, 1) -- Africa west1
  DefineConvoy(2, 98, 1, 100, 7, 12, 1) -- Narvik
  DefineConvoy(2, 24, 76, 100, 12, 14, 1) -- Africa west2

end

function ScenarioDifficultyChanges()

  if GetPlayer().alliance.id == 1 then
    if game.difficulty == 1 then
      SpawnUnit(0, game:GetFactionById(7), 112, 41, 0, 100)
      SpawnUnit(0, game:GetFactionById(0), 82, 30, 0, 100)
      SpawnUnit(0, game:GetFactionById(0), 80, 28, 0, 100)
      SpawnUnit(0, game:GetFactionById(4), 112, 24, 0, 100)
    end
  else
    if game.difficulty == 1 then
      -- Spawn extra units
      SpawnUnit(0, game:GetFactionById(3), 110, 27, 0, 100)
      SpawnUnit(0, game:GetFactionById(3), 116, 28, 0, 100)
      SpawnUnit(0, game:GetFactionById(5), 135, 67, 0, 100)
    end
  end
end

function OnIntro()

end
